%bcond_without qt4
%bcond_without doc

Name: eigen2
Summary: Lightweight C++ template library for vector and matrix math, a.k.a. linear algebra
Epoch: 2
Version: 2.0.17
Release: %mkrel 11
Group: System/Libraries
License: LGPLv3+ or GPLv2+
URL: http://eigen.tuxfamily.org/
Source: http://bitbucket.org/eigen/eigen/get/%{version}.tar.bz2
BuildRequires: cmake >= 2.6.1
%if %{with doc}
BuildRequires: doxygen
BuildRequires: ghostscript-common
BuildRequires: graphviz
BuildRequires: texlive
BuildRequires: texlive-texmf
%endif
BuildRequires: blas-devel
BuildRequires: lapack-devel
BuildRequires: pkgconfig(gsl)
%if %{with qt4}
BuildRequires: qt4-devel
%endif
BuildArch: noarch
Obsoletes: eigen < 2.0.0
Obsoletes: eigen-devel < 2.0.0

%description
Eigen is a lightweight C++ template library for vector and matrix
math, a.k.a. linear algebra.

%prep
%setup -q -n eigen-eigen-%{version}

%build
export CXXFLAGS="$CXXFLAGS -fpermissive"
export CFLAGS="$CFLAGS -fpermissive"
export CPPFLAGS="$CPPFLAGS -fpermissive"

%cmake
#-DEIGEN_BUILD_TESTS=ON
%cmake_build

%if %{with doc}
# this should be fixed later in cmake doc
 doxygen

#cd latex
# make refman.pdf
%endif

%install
%cmake_install

#%%check
#cd test
#%%cmake
#make test
#cd -

%files
%license COPYING COPYING.LESSER
%if %{with doc}
%doc html/
#latex/refman.pdf
%endif
%dir %{_includedir}/eigen2/
%{_includedir}/eigen2/*
%{_datadir}/pkgconfig/*.pc


%changelog
* Wed Sep 14 2022 eatdirt <eatdirt> 2:2.0.17-11.mga9
+ Revision: 1888577
- Don't build buggy doc pdf file

* Sun Apr 03 2022 umeabot <umeabot> 2:2.0.17-10.mga9
+ Revision: 1841366
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 daviddavid <daviddavid> 2:2.0.17-9.mga8
+ Revision: 1519359
- use new cmake macros
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 2:2.0.17-8.mga7
+ Revision: 1273740
- Mageia 7 Mass Rebuild

* Mon Feb 01 2016 umeabot <umeabot> 2:2.0.17-7.mga6
+ Revision: 930265
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2:2.0.17-6.mga5
+ Revision: 739933
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2:2.0.17-5.mga5
+ Revision: 678979
- Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 2:2.0.17-4.mga4
+ Revision: 545841
- Mageia 4 Mass Rebuild

* Thu Oct 17 2013 luigiwalser <luigiwalser> 2:2.0.17-3.mga4
+ Revision: 501915
- update texlive BRs

* Fri Jan 11 2013 umeabot <umeabot> 2:2.0.17-2.mga3
+ Revision: 349565
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 07 2011 fwang <fwang> 2:2.0.17-1.mga2
+ Revision: 178086
- new version 2.0.17

* Mon Jul 18 2011 fwang <fwang> 2:2.0.16-1.mga2
+ Revision: 125907
- new version 2.0.16

* Thu Jan 20 2011 ahmad <ahmad> 2:2.0.15-1.mga1
+ Revision: 26042
- imported package eigen2

